/*$cb
 *    This file is a part of OpenMHP VDR plugin.
 *
 *    Copyright (C) 2005 Mikko Novaro <miknov@gmail.com>
 *
 *    See README file for licensing and contact information.
 $ce*/

#include "xletthread.h"
#include "macros.h"

cXletThread::cXletThread(cXlet *xlt, const char *virtualxserver,
			 int virtualxdisplay,
			 const char *openmhpoutput) {
  xlet = xlt;
  xserver = virtualxserver;
  xdisplay = virtualxdisplay;
  openmhpout = openmhpoutput;
}

void cXletThread::Action() {
  xlet->Start(xserver, xdisplay, openmhpout);
}

void cXletThread::Stop(int timeout) {
  Cancel(timeout);
}
